=== modules/amarok2_mediaplayer/CMakeLists.txt ===
set (SOURCES
	amarok2.cpp
)

set (MOC_SOURCES
)

kadu_module (amarok2_mediaplayer
	MODULE_SOURCES ${SOURCES}
	MODULE_MOC_SOURCES ${MOC_SOURCES}
	MODULE_LIBRARIES ${QT_QTDBUS_LIBRARY}
)
