=== debian/changelog ===
kadu (0.9.2-2) unstable; urgency=low

  * Rebuild to link against libgadu3 version 1.11.0-2 or newer needed
    (Closes: #637172)
  * Upstream fixed build error when using gcc 4.6.1 (Closes: #634396)
  * Changed build dependency from libasound-dev to libasound2-dev
    (Closes: #637138, #635305)

 -- Patryk Cisek <patryk@debian.org>  Tue, 09 Aug 2011 09:53:46 +0200

kadu (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Updated debian/patches/02-.config.patch to make it fit 0.9.2
  * Updated debian/patches/01-no_autodownload.patch to make it fit 0.9.2
  * Removed server_monitor module's files from *.install -- module's been
    removed upstream.

 -- Patryk Cisek <patryk@debian.org>  Fri, 01 Jul 2011 15:55:45 +0200

kadu (0.9.1-1) unstable; urgency=low

  * New upstream release
  * debian/kadu.desktop: Kadu now supports XMPP as well as Gadu-Gadu

 -- Patryk Cisek <patryk@debian.org>  Mon, 11 Apr 2011 13:16:43 +0200
